Skip to main content
GET
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
vars
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/vars \
  --header 'Authorization: Bearer <token>'
{
  "vars": [
    {
      "envs": [
        {
          "color": "<string>",
          "id": 123,
          "name": "<string>"
        }
      ],
      "id": 123,
      "name": "<string>",
      "value": {
        "type": "plain",
        "value": "<string>"
      },
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required

Query Parameters

env_ids
string | null

Comma-separated list of environment IDs to filter by

Response

200 - application/json

Variables listed successfully

vars
object[]
required